MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024649Open CASCADE[OCCT] OCCT:Documentationpublic2014-02-20 09:512015-11-01 13:03
Reportersan 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024649: Update user's guide for Boolean operations
DescriptionUser's documentation for Boolean operations in its current state (http://www.opencascade.org/doc/occt-6.7.0/overview/html/user_guides__modeling_algos.html#occt_modalg_5 [^]) leads to noticeable losses for projects that rely on BOPs.

Example: #24632 (have a look at the solution - http://tracker.dev.opencascade.org/file_download.php?file_id=7672&type=bug [^] - it's amazing!)

Since usage of BOPs is non-trivial even for our staff, it becomes really critical to have at least basic written guidelines how to use BOPs, including illustration of the workflow (probably, using DRAW commands - for that http://www.opencascade.org/doc/occt-6.7.0/overview/html/user_guides__test_harness.html#occt_draw_7_7 [^] should be also revised!), and thus eliminate the magic described in #24632.
TagsNo tags attached.
Test case numberNot needed
Attached Fileszip file icon BOP_algo_Feb2014.zip (568,759 bytes) 2014-02-21 18:17
zip file icon BOP_algo_SALOME.zip (410,545 bytes) 2014-02-21 18:18

- Relationships
related to 0024431closedbugmaster Open CASCADE Using svg-images in the documentation 
has duplicate 0009456closed Open CASCADE Development BOP documentation 

-  Notes
(0028000)
abv (manager)
2014-02-21 18:17
edited on: 2014-02-21 18:19

Yuri, please find new documentation of BOP algorithms in attached archives:

- BOP_algo_Feb2014.zip: the most recent version provided by Peter
- BOP_algo_SALOME.zip: previous version with revisions by Vadim and some additional documents

I propose that document "Algorithm description_14.doc" should be converted to MarkDown format and integrated to OCCT documentation (new document "Boolean operations algorithms" in User Guides / Modeling Algorithms). Please compare it with version of Vadim (though older, it may contain some useful changes) to ensure that nothing is lost.

The document 20131127_BOP_study_Existing_DRAW_Commands_v1.1.doc can be used either to extend relevant section in DRAW manual, or to make appendix to BOP algorithm description.

(0028529)
ysn (developer)
2014-03-28 10:44

A document about Boolean operations has been added as a separate User's Guide.
(0028830)
abv (manager)
2014-04-15 06:31

Reviewed, please integrate. Branch CR24649 has been rebased on master and squashed to single commit, with some corrections.

- Related Changesets
occt: master 1a457208
Timestamp: 2014-03-31 07:09:22
Author: ysn
Committer: apn
Details ] Diff ]
0024649: Update user's guide for Boolean operations

New User's Guide on Boolean operations added.
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
add - dox/user_guides/boolean_operations/boolean_operations.md Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image001.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image002.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image004.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image005.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image006.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image007.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image008.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image009.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image010.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image011.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image012.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image013.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image014.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image015.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image016.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image017.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image018.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image019.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image020.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image021.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image022.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image023.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image024.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image025.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image026.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image027.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image028.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image029.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image030.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image031.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image032.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image033.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image034.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image035.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image036.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image037.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image038.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image039.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image040.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image041.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image042.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image043.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image044.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image045.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image046.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image047.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image048.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image049.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image050.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image051.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image052.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image053.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image054.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image055.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image056.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image057.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image058.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image059.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image060.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image061.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image062.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image063.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image064.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image065.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image066.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image067.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image068.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image069.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image070.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image071.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image072.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/boolean_image073.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image001.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image002.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image003.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image004.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image005.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image006.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image007.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image008.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image009.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image010.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image011.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image012.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image013.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image014.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image015.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image016.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image017.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image018.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image019.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image020.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image021.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image022.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image023.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image024.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image025.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image026.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image027.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image028.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image029.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image030.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image031.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image032.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image033.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image036.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image037.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image038.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image039a.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image039b.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image040.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image041.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image042.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image043.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image044.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image045.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image046.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image047.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image048.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image049.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image050.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image051.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image052.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image053.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image054.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image055.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image056.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image057.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image058.svg Diff ] File ]
mod - dox/user_guides/draw_test_harness.md Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/user_guides.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-20 09:51 san New Issue
2014-02-20 09:51 san Assigned To => abv
2014-02-20 09:51 san Relationship added related to 0024632
2014-02-21 18:17 abv Note Added: 0028000
2014-02-21 18:17 abv Assigned To abv => ysn
2014-02-21 18:17 abv Status new => assigned
2014-02-21 18:17 abv Category OCCT:Modeling Algorithms => OCCT:Documentation
2014-02-21 18:17 abv File Added: BOP_algo_Feb2014.zip
2014-02-21 18:18 abv File Added: BOP_algo_SALOME.zip
2014-02-21 18:19 abv Note Edited: 0028000 View Revisions
2014-02-22 11:46 abv Relationship added related to 0024431
2014-03-28 10:44 ysn Note Added: 0028529
2014-03-28 10:44 ysn Assigned To ysn => abv
2014-03-28 10:44 ysn Status assigned => feedback
2014-04-01 16:11 abv Status feedback => resolved
2014-04-04 17:11 abv Target Version 6.7.1 => 6.8.0
2014-04-15 06:31 abv Note Added: 0028830
2014-04-15 06:31 abv Assigned To abv => bugmaster
2014-04-15 06:31 abv Status resolved => reviewed
2014-04-15 15:12 apn Test case number => Not needed
2014-04-15 15:12 apn Status reviewed => tested
2014-04-18 16:02 apn Changeset attached => occt master 1a457208
2014-04-18 16:02 apn Assigned To bugmaster => apn
2014-04-18 16:02 apn Status tested => verified
2014-04-18 16:02 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed
2015-11-01 13:03 abv Relationship added has duplicate 0009456


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker